# RTP_ControlFrame::ExtendedReport Struct Reference

`#include <rtp.h>`

## Data Fields

BYTE | bt
BYTE | type_specific
PUInt16b | length
PUInt32b | ssrc
BYTE | loss_rate
BYTE | discard_rate
BYTE | burst_density
BYTE | gap_density
PUInt16b | burst_duration
PUInt16b | gap_duration
PUInt16b | round_trip_delay
PUInt16b | end_system_delay
BYTE | signal_level
BYTE | noise_level
BYTE | rerl
BYTE | gmin
BYTE | r_factor
BYTE | ext_r_factor
BYTE | mos_lq
BYTE | mos_cq
BYTE | rx_config
BYTE | reserved
PUInt16b | jb_nominal
PUInt16b | jb_maximum
PUInt16b | jb_absolute

## Field Documentation

BYTE RTP_ControlFrame::ExtendedReport::bt

BYTE RTP_ControlFrame::ExtendedReport::burst_density

PUInt16b RTP_ControlFrame::ExtendedReport::burst_duration

BYTE RTP_ControlFrame::ExtendedReport::discard_rate

PUInt16b RTP_ControlFrame::ExtendedReport::end_system_delay

BYTE RTP_ControlFrame::ExtendedReport::ext_r_factor

BYTE RTP_ControlFrame::ExtendedReport::gap_density

PUInt16b RTP_ControlFrame::ExtendedReport::gap_duration

BYTE RTP_ControlFrame::ExtendedReport::gmin

PUInt16b RTP_ControlFrame::ExtendedReport::jb_absolute

PUInt16b RTP_ControlFrame::ExtendedReport::jb_maximum

PUInt16b RTP_ControlFrame::ExtendedReport::jb_nominal

PUInt16b RTP_ControlFrame::ExtendedReport::length

BYTE RTP_ControlFrame::ExtendedReport::loss_rate

BYTE RTP_ControlFrame::ExtendedReport::mos_cq

BYTE RTP_ControlFrame::ExtendedReport::mos_lq

BYTE RTP_ControlFrame::ExtendedReport::noise_level

BYTE RTP_ControlFrame::ExtendedReport::r_factor

BYTE RTP_ControlFrame::ExtendedReport::rerl

BYTE RTP_ControlFrame::ExtendedReport::reserved

PUInt16b RTP_ControlFrame::ExtendedReport::round_trip_delay

BYTE RTP_ControlFrame::ExtendedReport::rx_config

BYTE RTP_ControlFrame::ExtendedReport::signal_level

PUInt32b RTP_ControlFrame::ExtendedReport::ssrc

BYTE RTP_ControlFrame::ExtendedReport::type_specific

The documentation for this struct was generated from the following file:

- rtp.h